/*
 * grasp_reader.h
 *
 *  Created on: 14.12.2010
 *      Author: akasper
 */

#ifndef GRASP_READER_H_
#define GRASP_READER_H_

#include <iostream>
#include <vector>
#include <string>

#include <rapidxml.hpp>

#include "grasp.h"

namespace OMDB { namespace Grasp {

class CGraspReader
{
public:
	explicit CGraspReader( const std::string& iFilePath );
	virtual ~CGraspReader();

	bool GetGrasp( int Index, CGrasp& oGrasp ) const;
	const std::string& GetHandType() const;
	const std::string& GetObject() const;
	int GetNumberOfGrasps() const;

private:
	int mNumberOfGrasps;
	typedef std::vector<CGrasp> GraspListType;
	GraspListType mGraspList;

	std::string mHandType;
	std::string mObject;

	rapidxml::xml_document<> mXMLDocument;

	void Read();
	void ReadApproachPose( rapidxml::xml_node<>* GraspNode, CGrasp& Grasp );
	void ReadApproachJoint( rapidxml::xml_node<>* GraspNode, CGrasp& Grasp );
	void ReadGraspPose( rapidxml::xml_node<>* GraspNode, CGrasp& Grasp );
	void ReadGraspJoint( rapidxml::xml_node<>* GraspNode, CGrasp& Grasp );
	void ReadGraspOptimalJoint( rapidxml::xml_node<>* GraspNode, CGrasp& Grasp );
};

} // Grasp
} // OMDB

#endif /* GRASP_READER_H_ */
