/*
 * main.cpp
 *
 *  Created on: 14.12.2010
 *      Author: akasper
 */

#include "grasp_xml_reader.h"

using namespace OMDB::Grasp;

int main( int argc, char** argv )
{
	if( argc != 2 )
	{
		std::cerr << "Usage: " << std::string( argv[0] ) << " file " << std::endl;
		return 0;
	}
	std::string FilePath( argv[1] );
	try
	{
		CGraspReader GraspReader( FilePath );
		std::cout << "Grasps for " << GraspReader.GetHandType() << " for object " << GraspReader.GetObject() << std::endl;
		int n = GraspReader.GetNumberOfGrasps();
		std::cout << "Found " << n << " grasps in file." << std::endl;
	
		CGrasp testGrasp( 0.f );
		if( GraspReader.GetGrasp( 0, testGrasp ) )
			std::cout << testGrasp << std::endl;

		return 0;
	}
	catch( std::exception& )
	{
		std::cerr << "Parsing error." << std::endl;
		return -1;
	}
}
