/*!\file
 *
 * \author  Matthias Engbarth, Alexander Kasper
 * \date    2010-08-10, 2010-12-15
 */
//----------------------------------------------------------------------
#ifndef IMAGES_OBJECT_H
#define IMAGES_OBJECT_H

#include "ImageInfo.h"

namespace OMDB { namespace Image {

/*!
 * \brief an object with lots of <code> ImageInfo</code>
 */
class CImagesObject
{
public:
	CImagesObject();
	CImagesObject( rapidxml::xml_node<>* ObjectNode );

	/*! getter for <code>images</code> */
	const std::vector<CImageInfo>& GetImages() const;

	const std::string& GetName() const;

	void GetTranslationPlate( double& x, double& y, double& z );

	void Clear();

private:
	/*! the image infos for this object */
	std::vector<CImageInfo> mImages;

	/*! the objects name */
	std::string mName;
	double mPlate[3];
};

} // Image
} // OMDB

#endif // IMAGES_OBJECT_H
