/*!\file
 *
 * \author  Matthias Engbarth, Alexander Kasper
 * \date    2010-08-10
 *
 */
//----------------------------------------------------------------------

// use this to read all files from a directory
// for i in xml/*.xml; do image_reader $i; done
//


#include "ImageDataReader.h"

using namespace OMDB::Image;


int main(int argc, char** argv)
{
	if (argc != 2)
	{
		std::cerr << "Error: invalid number of parameters! Received " << (argc - 1) << ", but expected 1!" << std::endl;
		return -1;
	}

	std::string Param( argv[1] );
	std::string ExpectedFileType( ".xml" );

	if( Param.size() >= ExpectedFileType.size() )
	{
		std::string ParamFileType = Param.substr(Param.size() - ExpectedFileType.size(), ExpectedFileType.size());
		if (ParamFileType.compare(ExpectedFileType) == 0)
		{
			try {
				CImageDataReader Reader( Param );
				for( std::vector<CImageInfo>::const_iterator I = Reader.GetImagesObject().GetImages().begin(); I != Reader.GetImagesObject().GetImages().end(); I++ )
					std::cout << *I << std::endl;
			}
			catch( std::exception& )
			{
				std::cerr << "Parsing error!" << std::endl;
				return -1;
			}
		}
		else
		{
			std::cerr << "Error: invalid file type! Received " << ParamFileType << ", but expected " << ExpectedFileType << "!" << std::endl;
			return -1;
		}
	}
	else
	{
		std::cerr << "Error: Parameter too small.Received " << Param.size() << ", but expected " << ExpectedFileType.size() << "!!" << std::endl;
		return -1;
	}

	return 0;
}
